PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Closed Thread
Page 1 of 8 12 ... LastLast

 
 
  1. #1
    Join Date
    Dec 2008
    Posts
    221

    F1 2010 is the First PS3 Game to Require 3.42 Firmware?

    According to PSGroove (linked above) and DJLO at PSX-Scene, F1 2010 is the first PS3 Game to require updating to PlayStation 3 Firmware version 3.42 which blocks both PSJailBreak and the PS3 Proxy Methods.

    I was on IRC and the news broke, apparently it requires you to update and if you cancel, it takes you back to the PS3 XMB. The war has just began and Sony made the first move: User 0 vs Sony 1.

    For those curious about other PS3 game compatibility with PSJailBreak, PSGroove and PSFreedom be sure to check out the PS3 JailBreak Game Compatibility List and add to it if possible.

    To quote: "If you ignore the game's warnings, it throws you back to the XMB. Technically this should just require some editing to the PARAM.SFO's version, in order to get the game to boot on 3.41. However, time will tell."

    F1 2010 is the First PS3 Game to Require 3.42 Firmware?

    More PlayStation 3 News...

  2. #2
    sucks for the average player with no internet connection...

  3. #3
    This "news" has not been confirmed by any reliable source yet. So please hold off on this is the end of the world post.

  4. #4
    Join Date
    Apr 2005
    Posts
    30,355
    Well, if it's legit (assuming it is) there could still be other "unreported" games recently released that also require 3.42 but time will tell for sure.

    Either way, they are definitely coming as everyone suspected.

  5. #5
    Join Date
    Apr 2005
    Posts
    4

    Question

    Didn't PSP Games do this as well. I thought all we did was change the version.txt file to show we had that FW version. Correct?

  6. #6
    Join Date
    Dec 2007
    Posts
    55
    the new games all are going to this fw. the possible solution is to make an image with the SAK and then edit it to JB edition...
    my thought.

  7. #7
    Join Date
    Jan 2010
    Posts
    4
    Even if all the games from this day come with 3.42. For me itīs not a problem. Because the money I save playing all the others using the dongle, worth it!

  8. #8
    Join Date
    Jun 2008
    Posts
    56
    IIRC, the PC and 360 versions went gold at the beginning of September but the PS3 version was delayed for some reason. The 3.42 update was released on the 7th so it is possible that this game does include it, which could have been the reason for the delay.

  9. #9
    Quote Originally Posted by PS3 News View Post
    Well, if it's legit (assuming it is) there could still be other "unreported" games recently released that also require 3.42 but time will tell for sure.

    Either way, they are definitely coming as everyone suspected.
    Yeah no doubt they are coming then it will on like donkey kong to get a by pass working. But with our great dev staff here shouldn't be to long to get a fix. Really need a disc with 3.42 on it to play around with till then it's just a bunch of theories.

  10. #10
    Join Date
    Mar 2008
    Posts
    77

    Big Grin

    Quote Originally Posted by Mihuz View Post
    Even if all the games from this day come with 3.42. For me itīs not a problem. Because the money I save playing all the others using the dongle, worth it!
    It's people like this is the reason Sony will try to fight this till there death.

 
Closed Thread
Page 1 of 8 12 ... LastLast

 
 
 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •